import { AbstractControl, ValidatorFn } from '@angular/forms';
import { DeltagareExportFormData, DeltagareExportFormErrors } from './deltagare-export.model';

export class DeltagareExportValidator {
  static isDeltagareExportValid(): ValidatorFn {
    return (c: AbstractControl): DeltagareExportFormErrors => {
      let errors: DeltagareExportFormErrors = null;
      const { startDate, endDate } = c.value as DeltagareExportFormData;

      if (startDate && endDate && startDate > endDate) {
        errors = {
          ...errors,
          datesMismatch: 'Från datum får inte vara senare än till och med datum',
        };
      }
      return errors;
    };
  }
}
